buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Peter Donald (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (BUILDR-496) Buildr rubyzip version dependency prevents use of Warbler task
Date Wed, 22 Jun 2011 10:11:10 GMT

     [ https://issues.apache.org/jira/browse/BUILDR-496?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Peter Donald closed BUILDR-496.
-------------------------------


> Buildr rubyzip version dependency prevents use of Warbler task
> --------------------------------------------------------------
>
>                 Key: BUILDR-496
>                 URL: https://issues.apache.org/jira/browse/BUILDR-496
>             Project: Buildr
>          Issue Type: Bug
>          Components: Extensions
>    Affects Versions: 1.4.1
>            Reporter: Paul Walker
>
> The newest Warbler requires rubyzip version >= 0.9.4 while buildr requires 0.9.1,
so using the Warbler task causes the exception.
> Gem::LoadError : can't activate rubyzip (>= 0.9.4, runtime) for ["warbler-1.2.1"],
already activated rubyzip-0.9.1 for ["buildr-1.4.1-java"]
> require 'warbler'
> define 'proj' do  
>   task :warble do
>     Warbler::Task.new
>   end
> end

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message